# Media Duration Limits

You can provide the maximum and minimum duration for audio and video files.

| Type        | Default |
| ----------- | ------- |
| `timedelta` | `0s`    |

* A `timedelta` input is expected to be a valid ISO 8601 timespan, ex: `P10DT2H30M10S`
* An `int` input is assumed to be the number of days
* A `str` input is expected to be in the format; `<value> <unit>`, ex: `10 days`.

Setting any of these options to `0` means that limit is `disabled`

* `minimum_audio_duration`
* `maximum_audio_duration`
* `minimum_video_duration`
* `maximum_video_duration`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://script-ware.gitbook.io/cyberdrop-dl/reference/configuration-options/settings/media_duration_limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
